Innehåll
Index 🔎︎

# Add-in Functions, List of Analysis Functions Part One

The Add-in functions are supplied by the UNO com.sun.star.sheet.addin.Analysis service.

Så här använder du det här kommandot...

Infoga - Funktion - KategoriAdd-In

## BESSELI

Calculates the modified Bessel function of the first kind In(x).

#### Syntax

BESSELI(X; N)

X är det värde som funktionen beräknas på.

N is a positive integer (N >= 0) representing the order of the Bessel function In(x)

#### Example

=BESSELI(3.45, 4), returns 0.651416873060081

=BESSELI(3.45, 4.333), returns 0.651416873060081, same as above because the fractional part of N is ignored.

=BESSELI(-1, 3), returns -0.022168424924332

## BESSELJ

Calculates the Bessel function of the first kind Jn(x) (cylinder function).

#### Syntax

BESSELJ(X; N)

X är det värde som funktionen beräknas på.

N is a positive integer (N >= 0) representing the order of the Bessel function Jn(x)

#### Example

=BESSELJ(3.45, 4), returns 0.196772639864984

=BESSELJ(3.45, 4.333), returns 0.196772639864984, same as above because the fractional part of N is ignored.

=BESSELJ(-1, 3), returns -0.019563353982668

## BESSELK

Calculates the modified Bessel function of the second kind Kn(x).

#### Syntax

BESSELK(X; N)

X is the strictly positive value (X > 0) on which the function will be calculated.

N is a positive integer (N >= 0) representing the order of the Bessel function Kn(x)

#### Example

=BESSELK(3.45, 4), returns 0.144803466373734

=BESSELK(3.45, 4.333), returns 0.144803466373734, same as above because the fractional part of N is ignored.

=BESSELK(0, 3), returns Err:502 – invalid argument (X=0)

## BESSELY

Calculates the Bessel function of the second kind Yn(x).

#### Syntax

BESSELY(X; N)

X is the strictly positive value (X > 0) on which the function will be calculated.

N is a positive integer (N >= 0) representing the order of the Bessel function Yn(x)

#### Example

=BESSELY(3.45, 4), returns -0.679848116844476

=BESSELY(3.45, 4.333), returns -0.679848116844476, same as above because the fractional part of N is ignored.

=BESSELY(0, 3), returns Err:502 – invalid argument (X=0)

## BIN.TILL.DEC

Returnerar decimaltalet för det angivna binära talet.

#### Syntax

BIN.TILL.DEC(Tal)

Tal är ett binärt tal. Talet kan bestå av maximalt 10 siffror (bitar). Mest signifikanta bit är teckenbiten. Negativa tal anges som tvåkomplement.

#### Example

=BIN2DEC(1100100) returnerar 100.

## BIN.TILL.OKT

Returnerar oktaltalet för det angivna binära talet.

#### Syntax

BIN2OCT(Number [; Places])

Tal är ett binärt tal. Talet kan bestå av maximalt 10 siffror (bitar). Mest signifikanta bit är teckenbiten. Negativa tal anges som tvåkomplement.

Antal siffror är antalet siffror som genereras.

#### Example

=BIN.TILL.OKT(1100100;4) returnerar 0144.

## BIN.TIll.HEX

Returnerar det hexadecimala talet för angivet binärt tal.

#### Syntax

BIN2HEX(Number [; Places])

Tal är ett binärt tal. Talet kan bestå av maximalt 10 siffror (bitar). Mest signifikanta bit är teckenbiten. Negativa tal anges som tvåkomplement.

Antal siffror anger antalet siffror som genereras.

#### Example

=BIN.TILL.HEX(1100100;6) returnerar 000064.

## DEC.TILL.BIN

Returnerar det binära talet för decimaltalet som anges mellan -512 och 511.

#### Syntax

DEC2BIN(Number [; Places])

Tal är ett decimaltal. Om Tal är ett negativt tal returnerar funktionen ett binärt tal med 10 tecken. Mest signifikant siffra är teckenbiten. De övriga 9 returnerar värdet.

Antal siffror är antalet siffror som genereras.

#### Example

=DEC.TIL.BIN(100;8) returnerar 01100100.

## DEC.TILL.HEX

Returnerar det hexadecimala talet för angivet decimaltal.

#### Syntax

DEC2HEX(Number [; Places])

Tal är ett decimaltal. Om Tal är ett negativt tal returnerar funktionen ett hexadecimaltal med 10 tecken (40 bitar). Mest signifikant siffra är teckenbiten. De övriga 39 bitarna returnerar värdet.

Antal siffror är antalet siffror som genereras.

#### Example

=DEC.TIL.HEX(100;4) returnerar 0064.

## DEC.TILL.OKT

Returnerar oktaltalet för det angivna decimaltalet.

#### Syntax

DEC2OCT(Number [; Places])

Tal är ett decimaltal. Om Tal är ett negativt tal returnerar funktionen ett oktaltal med 10 tecken (30 bitar). Mest signifikant siffra är teckenbiten. De övriga 29 returnerar värdet.

Antal siffror är antalet siffror som genereras.

#### Example

=DEC.TILL.OKT(100;4) returnerar 0144.

## DELTA

Returnerar SANT (1) om båda talen, som anges som argument, är lika. Annars returneras FALSKT (0).

#### Syntax

DELTA(Number1 [; Number2])

#### Example

=DELTA(1;2) returnerar 0.

## ERF.PRECISE

Returns values of the Gaussian error integral between 0 and the given limit.

This function is available since LibreOffice 4.3.

#### Syntax

ERF.PRECISE(LowerLimit)

LowerLimit is the limit of the integral. The calculation takes place between 0 and this limit.

#### Example

=ERF.PRECISE(1) returns 0.842701.

## ERFC.PRECISE

Returnerar kompletterande värden för den Gaussiska felfunktionen mellan x och oändligheten.

This function is available since LibreOffice 4.3.

#### Syntax

ERFC.PRECISE(LowerLimit)

Nedre gräns är integralens nedre gräns

#### Example

=ERFC.PRECISE(1) returns 0.157299.

## FELF

Returnera värden för den Gaussiska felfunktionen.

#### Syntax

ERF(LowerLimit [; UpperLimit])

Nedre gräns är integralens nedre gräns.

UpperLimit is optional. It is the upper limit of the integral. If this value is missing, the calculation takes place between 0 and the lower limit.

#### Example

=FELFK (0;1) returnerar 0,842701.

## FELFK

Returnerar kompletterande värden för den Gaussiska felfunktionen mellan x och oändligheten.

#### Syntax

FELFK (Nedre gräns)

Nedre gräns är integralens nedre gräns

#### Example

=FELFK(1) returnerar 0,157299.

## HEX.TILL.BIN

Returnerar det binära talet för angivet hexadecimalt tal.

#### Syntax

HEX2BIN(Number [; Places])

Number is a hexadecimal number or a string that represents a hexadecimal number. It can have a maximum of 10 places. The most significant bit is the sign bit, the following bits return the value. Negative numbers are entered as two's complement.

Antal siffror är det antal siffror som genereras.

#### Example

=HEX2BIN("6a";8) returns 01101010.

## HEX.TILL.DEC

Returnerar decimaltalet för det angivna hexadecimala talet.

#### Syntax

HEX.TILL.DEC(Tal)

Number is a hexadecimal number or a string that represents a hexadecimal number. It can have a maximum of 10 places. The most significant bit is the sign bit, the following bits return the value. Negative numbers are entered as two's complement.

#### Example

=HEX2DEC("6a") returns 106.

## HEX.TILL.OKT

Returnerar oktaltalet för det angivna hexadecimala talet.

#### Syntax

HEX2OCT(Number [; Places])

Number is a hexadecimal number or a string that represents a hexadecimal number. It can have a maximum of 10 places. The most significant bit is the sign bit, the following bits return the value. Negative numbers are entered as two's complement.

Antal siffror är det antal siffror som genereras.

#### Example

=HEX2OCT("6a";4) returns 0152.

## SLSTEG

Resultatet är 1 om Tal är större än eller lika med Steg.

#### Syntax

GESTEP(Number [; Step])

#### Example

=SLSTEG(5;1) returnerar 1.

Närliggande ämnen

Add-in Functions

Add-in Functions, List of Analysis Functions Part Two

Text Functions

Functions by Category